var commonmark = require('commonmark');
module.exports = (function () {
    function MarkdownUtil() {
    }
    MarkdownUtil.allowsInlineContent = function (node) {
        return !node || MarkdownUtil.TYPES_WITH_MANDATORY_BLOCKED_CONTENT.indexOf(node.type) < 0;
    };
    MarkdownUtil.addInlineBlocks = function (nodes, container) {
        if (MarkdownUtil.allowsInlineContent(container)) {
            nodes.forEach(function (n) { return container.appendChild(n); });
            return nodes[nodes.length - 1];
        }
        else {
            var paragraph = new commonmark.Node('Paragraph');
            nodes.forEach(function (n) { return paragraph.appendChild(n); });
            container.appendChild(paragraph);
            return paragraph;
        }
    };
    MarkdownUtil.TYPES_WITH_MANDATORY_BLOCKED_CONTENT = ['Item', 'BlockQuote'];
    return MarkdownUtil;
})();
//# sourceMappingURL=MarkdownUtil.js.map